JobSheets (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: JobSheets
Keywords: javax.print.attribute.standard.JobSheets class

# Class JobSheets

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.JobSheets

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute, PrintRequestAttribute`

public class JobSheets extends EnumSyntax implements PrintRequestAttribute, PrintJobAttribute
Class `JobSheets` is a printing attribute class, an enumeration, that determines which job start and end sheets, if any, must be printed with a job. Class `JobSheets` declares keywords for standard job sheets values. Implementation- or site-defined names for a job sheets attribute may also be created by defining a subclass of class `JobSheets`.

The effect of a `JobSheets` attribute on multidoc print jobs (jobs with multiple documents) may be affected by the `MultipleDocumentHandling` job attribute, depending on the meaning of the particular `JobSheets` value.

IPP Compatibility: The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value. For a subclass, the attribute value must be localized to give the IPP name and natural language values.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JobSheets`
  `NONE`
  No job sheets are printed.
  `static final JobSheets`
  `STANDARD`
  One or more site specific standard job sheets are printed. e.g. a single start sheet is printed, or both start and end sheets are printed.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `JobSheets(int value)`
  Construct a new job sheets enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `JobSheets`.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `JobSheets`.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### NONE

    public static final JobSheets NONE
    No job sheets are printed.

  - ### STANDARD

    public static final JobSheets STANDARD
    One or more site specific standard job sheets are printed. e.g. a single start sheet is printed, or both start and end sheets are printed.

- ## Constructor Details

  - ### JobSheets

    protected JobSheets(int value)
    Construct a new job sheets enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `JobSheets`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `JobSheets`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `JobSheets` and any vendor-defined subclasses, the category is class `JobSheets` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `JobSheets` and any vendor-defined subclasses, the category name is `"job-sheets"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name